# semaphore.h File Reference

Go to the source code of this file.

## Typedefs

typedef struct SemaphoreInfo | SemaphoreInfo

## Functions

MagickExport MagickBooleanType | LockSemaphoreInfo (SemaphoreInfo *)
MagickExport MagickBooleanType | UnlockSemaphoreInfo (SemaphoreInfo *)
MagickExport SemaphoreInfo * | AllocateSemaphoreInfo (void)
MagickExport SemaphoreInfo ** | DestroySemaphoreInfo (SemaphoreInfo *)
MagickExport void | AcquireSemaphoreInfo (SemaphoreInfo **)
MagickExport void | DestroySemaphore (void)
MagickExport void | InitializeSemaphore (void)
MagickExport void | RelinquishSemaphoreInfo (SemaphoreInfo *)

## Typedef Documentation

typedef struct SemaphoreInfo SemaphoreInfo

## Function Documentation

MagickExport void AcquireSemaphoreInfo | ( | SemaphoreInfo ** |  | ) |

MagickExport SemaphoreInfo* AllocateSemaphoreInfo | ( | void |  | ) |

MagickExport void DestroySemaphore | ( | void |  | ) |

MagickExport SemaphoreInfo* * DestroySemaphoreInfo | ( | SemaphoreInfo * |  | ) |

MagickExport void InitializeSemaphore | ( | void |  | ) |

MagickExport MagickBooleanType LockSemaphoreInfo | ( | SemaphoreInfo * |  | ) |

MagickExport void RelinquishSemaphoreInfo | ( | SemaphoreInfo * |  | ) |

MagickExport MagickBooleanType UnlockSemaphoreInfo | ( | SemaphoreInfo * |  | ) |